libqalculate-0.9.7: VectorArgument Class Reference

# VectorArgument Class Reference

A vector argument. More...

`#include <Function.h>`

Inheritance diagram for VectorArgument:

List of all members.

## Public Member Functions
| VectorArgument (string name_="", bool does_test=true, bool allow_matrix=false, bool does_error=true)
| VectorArgument (const VectorArgument *arg)
virtual int | type () const
virtual Argument * | copy () const
virtual string | print () const
bool | reoccuringArguments () const
void | setReoccuringArguments (bool reocc)
void | addArgument (Argument *arg)
void | delArgument (size_t index)
size_t | countArguments () const
Argument * | getArgument (size_t index) const
## Protected Member Functions
virtual bool | subtest (MathStructure &value, const EvaluationOptions &eo) const
virtual string | subprintlong () const
## Protected Attributes
vector< Argument * > | subargs
bool | b_argloop

## Detailed Description

A vector argument.

## Member Function Documentation

virtual bool VectorArgument::subtest | ( | MathStructure & | value,
|  | const EvaluationOptions & | eo |
| ) |  |  | const`[protected, virtual]`

This function is called from Argument::test() and performs validation specific to the argument definition type. Should be reimplemented by all subclasses.

Parameters:

  | value | Value to test.
  | eo | Evaluation options to use if the value needs to be evaluated.

Returns:
  true if the value is valid for the argument definition.

Reimplemented from Argument.

virtual string VectorArgument::subprintlong | ( |  | ) | const`[protected, virtual]`

This function is called from Argument::printlong() and returns description specific the argument definition type. Should be reimplemented by all subclasses. For example IntegerArgument::subprintlong() might return "an integer" and Argument::printlong() might append " that fulfills the condition: even(\x)".

Returns:
  Long description.

Reimplemented from Argument.

virtual int VectorArgument::type | ( |  | ) | const`[virtual]`

Returns the type of the argument, corresponding to which subclass the object belongs to.

Returns:
  ArgumentType.

Reimplemented from Argument.

virtual Argument* VectorArgument::copy | ( |  | ) | const`[virtual]`

Returns a copy of the argument definition.

Returns:
  A copy.

Reimplemented from Argument.

virtual string VectorArgument::print | ( |  | ) | const`[virtual]`

Resturns a short description of the argument definition. Ex. "number" for NumberArgument.

Returns:
  Short description.

Reimplemented from Argument.

The documentation for this class was generated from the following file:

- libqalculate/Function.h